Summary: The ebtables program is a filtering tool for a bridging firewall
Name: ebtables
Version: 2.0.6
Release: 6tr
Group: Trustix Official
License: GPL
Source: http://prdownloads.sourceforge.net/ebtables/%{name}-v%{version}.tar.gz
Source1: ebtables-init
Patch0: ebtables-v2.0.6-linuxheaders.patch
Patch1: ebtables-v2.0.6-gcc34.patch
Patch2: ebtables-v2.0.6-makefile.patch
Patch3: ebtables-v2.0.6-gcc4.patch
URL: http://ebtables.sourceforge.net/
BuildRoot: %{_tmppath}/%{name}-root
PreReq: chkconfig tsl-utils

%description 
The ebtables program is a filtering tool for a bridging firewall. 
The filtering is focussed on the Link Layer Ethernet frame fields.
Apart from filtering, it also gives the ability to alter the Ethernet
MAC addresses and implement a brouter.

%prep
%setup -q -n %{name}-v%{version}
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
make

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}
mkdir -p $RPM_BUILD_ROOT/%{_initdir}
mkdir -p $RPM_BUILD_ROOT/sbin
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man8
make install DESTDIR=$RPM_BUILD_ROOT MANDIR=%{_mandir} 
install -m 0644 ebtables.8 $RPM_BUILD_ROOT%{_mandir}/man8/ebtables.8
install -m 755 %{SOURCE1} $RPM_BUILD_ROOT/%{_initdir}/ebtables

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add ebtables
/sbin/restart_maybe ebtables

%preun
if [ "$1" = "0" ]; then
    /etc/init.d/ebtables stop >&2
    /sbin/chkconfig --del ebtables
fi

%files
/sbin/ebtables
%{_mandir}/*/*
%config(noreplace) %{_sysconfdir}/ethertypes
%{_initdir}/ebtables

%changelog
* Mon Oct 31 2005 Ajith Thampi <ajith at comodo dot com> 2.0.6-6tr
- Changed init to load only needed modules and save needed tables. Bug #1353
		
* Mon May 02 2005 Syed Shabir Zakiullah <syedshabir at comodo dot com> 2.0.6-4tr
- Added missing PreReq, Fix bug ID #557

* Mon Apr 25 2005 Syed Shabir Zakiullah <syedshabir at comodo dot com> 2.0.6-3tr
- Applied gcc4 patch

* Thu Apr 21 2005 Syed Shabir Zakiullah <syedshabir at comodo dot com> 2.0.6-2tr
- Added ebtables-init

* Thu Apr 21 2005 Syed Shabir Zakiullah <syedshabir at comodo dot com> 2.0.6-1tr
- Initial spec file for TSL-3.0 { Bug ID #402 }



